SDL_HINT_JOYSTICK_HAPTIC_AXES(3)

NAME
SDL_HINT_JOYSTICK_HAPTIC_AXES - A variable containing a list of devices and their desired number of haptic (force feedback) enabled axis.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_HAPTIC_AXES SDL_JOYSTICK_HAPTIC_AXES"

DESCRIPTION
The format of the string is a comma separated list of USB VID/PID pairs in hexadecimal form plus the number of desired axes, e.g. 0xAAAA/0xBBBB/1,0xCCCC/0xDDDD/3 This hint supports a "wildcard" device that will set the number of haptic axes on all initialized haptic devices which were not defined explicitly in this hint. 0xFFFF/0xFFFF/1 This hint should be set before a controller is opened. The number of haptic axes won't exceed the number of real axes found on the device.

AVAILABILITY
This hint is available since SDL 3.2.5.